<?php

session_start();    
require('../conexion.php');

$usuario = $_SESSION['cveUsuario'];
$opc = $_POST['opc'];
$number = $_POST['number'];
$condicion ="";
$i=0;
if ($opc == 1) {
    $condicion = "AND ntv_fecha_creacion >= DATE_ADD(NOW(), INTERVAL -7 DAY)";
}else{
    $condicion = 'AND ntv_fecha_creacion >= DATE_ADD(NOW(), INTERVAL -30 DAY) ';
}
$result = query("SELECT pro_id, pro_clave, pro_nombre, pro_precio_venta, 
SUM(cantidad) AS cant, 
(pro_precio_venta*(SUM(cantidad))) as total, uss_nombre
FROM vw_productos_vendidos WHERE ntv_fecha_creacion <=NOW() 
$condicion 
GROUP BY uss_id, pro_id ORDER BY cant DESC LIMIT 20;");

while($row = mysqli_fetch_assoc($result)){
    $rowdata[$i] = $row;
    $i++;
}

if ($i>0){
    $res =  json_encode($rowdata,JSON_UNESCAPED_UNICODE);
} else {
    $res =  '[{"pro_id":"0"}]';	
}
echo $res;
?>